Prevent AutoUpdate Check for VDI Environment



  • Hey All,

    We have Notepad++ installed within our VDI infrastructure. We build a base image that has the software on it and then provision to users using that image. I would like to know if there is a way to disable Notepad++ from checking for updates for all users (I know it can be done in the settings, but this has to be done on a per user basis). Users do not have the ability to install software, so when this comes up and they click on yes, it prompts them for admin credentials and becomes and annoyance for both support and users.

    We update Notepad++ regularly anyway when we do maintenance on the base image.

    Thanks



  • I don’t know much about VDI environments, but you could just block the updater in the firewall.



  • Daniel,

    I would rather not have the popup at all, because blocking it on the firewall will then prevent me getting the updates when I need them when I update the image.

    Would be good to have some sort of registry key that can be pushed out, ie:
    Enabled update = 1
    Disable update = 0



  • I don’t see anything obvious, as the “should search for updates” setting is written to the config.xml in %APPDATA%\Notepad++.
    But what happens, if you change the <InfoUrl> in the file %ProgramFiles%\Notepad++\updater\gup.xml to any URL that contains a valid GUP XML?

    The original file looks like this:

    <GUP>
      <NeedToBeUpdated>yes</NeedToBeUpdated>
      <Version>7.9.1</Version>
      <Location>https://github.com/notepad-plus-plus/notepad-plus-plus/releases/download/v7.9.1/npp.7.9.1.Installer.exe</Location>
    </GUP>
    

    (https://notepad-plus-plus.org/update/getDownloadUrl.php)

    So you can create a static file somewhere on a webserver you might already have in the VDI environment.

    You can simply bring some the some hardcoded values and set NeedToBeUpdated flag to “no”, so it looks like this:

    <GUP>
      <NeedToBeUpdated>no</NeedToBeUpdated>
      <Version>0.0.0</Version>
      <Location>https://not_used</Location>
    </GUP>
    


  • @Jason-Pope-0

    … or delete the update directory completely if you maintain your version yourself.



  • @Ekopalypse

    That sounds like a plan. I may use Applocker policies to prevent GUP.exe from running on all those VMs.

    Thank for pointing me in that direction



  • @Daniel-Fuchs

    I will also have a go at this and see if I can update this on the base image and it will not prevent the update from running manually. Will do some testing

    Thanks


Log in to reply